none
.NET 4.0 Not Recognized....XP SP3 RRS feed

  • Question

  • Can anyone offer any support with this very vexxing problem? .NET 4.0 is not recognized by applications, though it appears quite properly installed.
     
    I am trying to run this Paint application on my Windows XP SP3 machine and it requires .NET 4.0.
    Smoothdraw: SmoothDraw dot com.
     
    When I attempt to run it, it says it needs .NET 4.0 which I installed (32 bit - Client and Full from direct Microsoft download link) and downloaded all updates with Windows update. I had already .NET 2 and 3.5 installed without any issues. Applications used them fine.
     
    The .NET 4.0 install proceeds just fine to competion. There are no errors at all. Very smooth.
     
    I have also used the .NET Setup Verification tool and it says that everything is fine too and also used a small utility that checks to see which .NETS are installed. (.NET Version Checker) and it reports, without incident, that I have:
     
    .NET 2.0 SP2
    .NET 3.0 SP2
    .NET 3.5 SP1
    .NET 4.0 FULL and Client
     
    I have used the .NET Repair tool without incident....and all the while, when I go to run SmoothDraw it says that the application needs .NET 4.0 to run and aborts setup.
     
    Arggh!
     
    I am not a newbie, but for the life of me can't figure out what is happening with this .NET issue. I've googled all around, but most of the people that have these issues seem to have errors during install. My install seems to be fine, but it still doesn't work.
     
    Can you offer some steps to follow to get .NET 4.0 working?
     

    Any clues?

    Monday, June 17, 2013 1:23 PM

Answers

  • Your .NET 4.0 is OK per the verifier and you can run other 4.0 apps.

    That leaves SmoothDraw.

    I suggest you try to find a support contact for that software and ask them.

    Tuesday, June 18, 2013 1:19 PM

All replies

  • Try running this simple .NET 4.0 app:

    https://skydrive.live.com/redir?resid=2E6335432DF7904B!627

    The file is TestNET4.zip.

    Unzip the file and you'll get a folder named TestNET4.

    Follow this path: TestNET4\TestNET4\bin\debug to find TestNET4.exe.

    Double click on the exe. What do you see?

    Tuesday, June 18, 2013 3:50 AM
  • Thank you...

    "IF you are reading this, your .NET 4.0 is OK"

    Hmmm......

    Any thoughts?

    ;)

    Tuesday, June 18, 2013 4:18 AM
  • Your .NET 4.0 is OK per the verifier and you can run other 4.0 apps.

    That leaves SmoothDraw.

    I suggest you try to find a support contact for that software and ask them.

    Tuesday, June 18, 2013 1:19 PM
  • Thank you...!

    Unfortunately, I have not been able to find any support contact for that program...and since the program won't install, I can't see any credits or anything....

    Maybe a domain whois will lead to a contact email.

    Thank you for your help!

    ;)

    Tuesday, June 18, 2013 1:40 PM